<style type="text/css">
  .cause-tree-title {
    width: 100%;
    /*border-bottom: 1px solid #aaa;*/
    box-shadow: inset 0px -1px 3px 0px rgb(0 0 0 / 20%)
    /*box-shadow: 0px 1px 3px rgb(0 0 0 / 50%);*/
  }

  .cause-tree-title-right {
    width: 50px;
    float: right;
  }
</style>

<div class="row">
  <div class="col">
    <div class="row">
      <div class="col-md-12 tree_columns">
        <div id="causes_ajaxtree" style='padding-top: 5px;'>
          <button class="btn" id="expand_causes_tree" type='input'><%= t('.expand') %></button>
          <button class="btn" id="collapse_causes_tree"><%= t('.collapse') %></button>

          <div id='tree_zone'>
            <div class='cause-tree-title'>
              <span class='cause-tree-title-right' style='width:70px;'>-</span>
              <span class='cause-tree-title-right'><%= t('.level') %></span>
              <% @ishikawa_names.reverse.each do |ishikawa_name| %>
                <span class='cause-tree-title-right' style='width:100px;'><%= ishikawa_name %></span>
              <% end %>
            </div>
            <div id="js_tree_causes" url-datas='<%= tools_cause_trees_js_tree_data_path %>' cause_tree='<%= @cause_tree.id %>'></div>
          </div>
          <br>
        </div>
      </div>
    </div>

  </div>
</div>
